package cn.kdan.enums;

/**
 * @author ComPDF-Bob 2024-06-21
 **/
public enum EmailSubjectEnum {

    MAC_APP_STORE_FREE("PDF Reader Pro Lite -"),
    MAC_APP_STORE_PAID("PDF Reader Pro Edition -"),
    MAC_DMG("PDF Reader Pro -"),
    WINDOWS("PDF Reader Pro Windows Verification -"),
    UWP_FREE("PDF Reader Pro Lite -"),
    UWP_PAID("PDF Reader Pro Edition -"),
    IOS("PDF Reader Pro Lite -"),
    ANDROID("PDF Reader Pro -"),
    ;

    public String value() {
        return value;
    }

    private final String value;

    EmailSubjectEnum(String value){
        this.value = value;
    }

    public static EmailSubjectEnum getByValue(String value){
        for (EmailSubjectEnum clientTypeEnum : EmailSubjectEnum.values()) {
            if (clientTypeEnum.value.equals(value)){
                return clientTypeEnum;
            }
        }
        return null;
    }

    public static EmailSubjectEnum getByLikeValue(String value){
        for (EmailSubjectEnum clientTypeEnum : EmailSubjectEnum.values()) {
            if (value.contains(clientTypeEnum.value)){
                return clientTypeEnum;
            }
        }
        return null;
    }
}
